- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::Math::RigidBodySystemBuilder::NamesChecker< T > Class Template Reference

`#include <rigidbodysystembuilder.h>`

## Public Member Functions
| NamesChecker (Interface< T > &builder)
void | addLink (Link link)
void | addStaticFrame (StaticFrame sframe)
Public Member Functions inherited from AL::Math::RigidBodySystemBuilder::Decorator< T >
| Decorator (Interface< T > &builder)
virtual | ~Decorator ()
const Config & | config () const
Public Member Functions inherited from AL::Math::RigidBodySystemBuilder::Interface< T >
virtual | ~Interface ()
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass, const std::string &new_joint)
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new, const std::string &new_static_transform)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new)

## Public Attributes
| TYPEDEF_Interface_TYPES
Public Attributes inherited from AL::Math::RigidBodySystemBuilder::Decorator< T >
| TYPEDEF_Interface_TYPES

## Additional Inherited Members
Public Types inherited from AL::Math::RigidBodySystemBuilder::Interface< T >
typedef T | Scalar
typedef LinkData< Scalar > | Link
typedef Link::BodyMass | BodyMass
typedef BodyMass::Vector3 | Vector3
typedef BodyMass::Matrix3 | Matrix3
typedef StaticFrameData< Scalar > | StaticFrame
typedef StaticFrame::AffineCompact3 | AffineCompact3
Protected Attributes inherited from AL::Math::RigidBodySystemBuilder::Decorator< T >
Interface< T > & | _builder

## Detailed Description

### template<typename T>
class AL::Math::RigidBodySystemBuilder::NamesChecker< T >

Definition at line 188 of file rigidbodysystembuilder.h.

## Constructor & Destructor Documentation

template<typename T >

AL::Math::RigidBodySystemBuilder::NamesChecker< T >::NamesChecker | ( | Interface< T > & | builder | ) |
| inline

Definition at line 192 of file rigidbodysystembuilder.h.

## Member Function Documentation

template<typename T >

void AL::Math::RigidBodySystemBuilder::NamesChecker< T >::addLink | ( | Link | link | ) |
| inline virtual

Reimplemented from AL::Math::RigidBodySystemBuilder::Decorator< T >.

Definition at line 194 of file rigidbodysystembuilder.h.

template<typename T >

void AL::Math::RigidBodySystemBuilder::NamesChecker< T >::addStaticFrame | ( | StaticFrame | sframe | ) |
| inline virtual

Reimplemented from AL::Math::RigidBodySystemBuilder::Decorator< T >.

Definition at line 218 of file rigidbodysystembuilder.h.

## Member Data Documentation

template<typename T >

AL::Math::RigidBodySystemBuilder::NamesChecker< T >::TYPEDEF_Interface_TYPES

Definition at line 190 of file rigidbodysystembuilder.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/rigidbodysystembuilder.h